-- 神器重铸Tips
checkRequire("Lua_TipsWindow");
Lua_ArtifactRecastTipsWindow = class("Lua_ArtifactRecastTipsWindow", Lua_TipsWindow);
function Lua_ArtifactRecastTipsWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_ArtifactRecastTipsWindow";
end

function Lua_ArtifactRecastTipsWindow:dispose()
	self.freeTimes = nil;
	if self.costArr ~= nil then
		self.costArr:dispose();
		self.costArr:clear();
		self.costArr = nil;
	end
	self:superCall("dispose");
end

function Lua_ArtifactRecastTipsWindow:updateShowInfo()
	self:superCall("updateShowInfo");

	if DataCenter.artifactData.reset_free_times > 0 then
		if self.freeTimes == nil then
			self.freeTimes = UICreate.createLabel(self.content, LanUtil.getValue(350033), 174, -85, 100, 31, 22);
			self.freeTimes.pivotValue = 4;
			self.freeTimes.alignmentValue = 4;
			self.freeTimes.horizontalOverflowValue = 1;
		end
	else
		self:showConsumeItem(DataCenter.artifactUtil.reset_cost);
	end
end

function Lua_ArtifactRecastTipsWindow:showConsumeItem(data)
	if self.costArr == nil then
		self.costArr = Array();
	end

	local len;
	if data == nil then
		len = -self.costArr:getSize();
	else
		len = #data - self.costArr:getSize();
	end
	while (len > 0) do
		item = Lua_ConsumeIconItem.new(self.content);
		self.costArr:add(item);
		len = len - 1;
	end

	while (len < 0) do
		item = self.costArr:remove();
		item:dispose();
		len = len + 1;
	end

	len = self.costArr:getSize();
	local space = 200;
	local w;
	local posX;
	for i = 1, len do
		item = self.costArr[i];
		item:setData(data[i], nil, LanUtil.formateStr(350034, tostring(data[i][2])));

		w = -(space * len) / 2 + space / 2;
		posX = 174 + ((i - 1) % len) * space + w;
		item:setLocation(posX, -85, 0);
	end
end